internal::streaming_device_with_key< Device, Key > Class Template Reference

`#include <_flow_graph_streaming_node.h>`

Collaboration diagram for internal::streaming_device_with_key< Device, Key >:

## Public Member Functions

| streaming_device_with_key ()
| streaming_device_with_key (const Device &d, Key k)
Key | key () const
const Device & | device () const

## Private Attributes

Device | my_device
std::decay< Key >::type | my_key

## Detailed Description

### template<typename Device, typename Key>
class internal::streaming_device_with_key< Device, Key >

Definition at line 91 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## streaming_device_with_key() [1/2]

template<typename Device , typename Key >

internal::streaming_device_with_key< Device, Key >::streaming_device_with_key | ( |  | ) |

inline

Definition at line 96 of file _flow_graph_streaming_node.h.

{}

## streaming_device_with_key() [2/2]

template<typename Device , typename Key >

internal::streaming_device_with_key< Device, Key >::streaming_device_with_key | ( | const Device & | d,
|  | Key | k
| ) |  |

inline

Definition at line 97 of file _flow_graph_streaming_node.h.

: my_device( d ), my_key( k ) {}
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109
internal::streaming_device_with_key::my_device
Device my_device
Definition: _flow_graph_streaming_node.h:92
internal::streaming_device_with_key::my_key
std::decay< Key >::type my_key
Definition: _flow_graph_streaming_node.h:93

## Member Function Documentation

## device()

template<typename Device , typename Key >

const Device& internal::streaming_device_with_key< Device, Key >::device | ( |  | ) | const

inline

Definition at line 99 of file _flow_graph_streaming_node.h.

{ return my_device; }

References internal::streaming_device_with_key< Device, Key >::my_device.

## key()

template<typename Device , typename Key >

Key internal::streaming_device_with_key< Device, Key >::key | ( |  | ) | const

inline

Definition at line 98 of file _flow_graph_streaming_node.h.

{ return my_key; }

References internal::streaming_device_with_key< Device, Key >::my_key.

## Member Data Documentation

## my_device

template<typename Device , typename Key >

Device internal::streaming_device_with_key< Device, Key >::my_device

private

Definition at line 92 of file _flow_graph_streaming_node.h.

Referenced by internal::streaming_device_with_key< Device, Key >::device().

## my_key

template<typename Device , typename Key >

std::decay<Key>::type internal::streaming_device_with_key< Device, Key >::my_key

private

Definition at line 93 of file _flow_graph_streaming_node.h.

Referenced by internal::streaming_device_with_key< Device, Key >::key().

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.